Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::TermsHashConsumerPerField Class Referenceabstract

Implement this class to plug into the TermsHash processor, which inverts & stores Tokens into a hash table and provides an API for writing bytes into multiple streams for each unique Token. More...

`#include <TermsHashConsumerPerField.h>`

Inheritance diagram for Lucene::TermsHashConsumerPerField:

## Public Member Functions

virtual | ~TermsHashConsumerPerField ()
virtual String | getClassName ()
boost::shared_ptr< TermsHashConsumerPerField > | shared_from_this ()
virtual bool | start (Collection< FieldablePtr > fields, int32_t count)=0
virtual void | finish ()=0
virtual void | skippingLongTerm ()=0
virtual void | start (const FieldablePtr &field)=0
virtual void | newTerm (const RawPostingListPtr &p)=0
virtual void | addTerm (const RawPostingListPtr &p)=0
virtual int32_t | getStreamCount ()=0
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Implement this class to plug into the TermsHash processor, which inverts & stores Tokens into a hash table and provides an API for writing bytes into multiple streams for each unique Token.

## Constructor & Destructor Documentation

## ◆ ~TermsHashConsumerPerField()

virtual Lucene::TermsHashConsumerPerField::~TermsHashConsumerPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::TermsHashConsumerPerField::_getClassName | ( |  | ) |

inline static

## ◆ addTerm()

virtual void Lucene::TermsHashConsumerPerField::addTerm | ( | const RawPostingListPtr & | p | ) |

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ finish()

virtual void Lucene::TermsHashConsumerPerField::finish | ( |  | ) |

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ getClassName()

virtual String Lucene::TermsHashConsumerPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ getStreamCount()

virtual int32_t Lucene::TermsHashConsumerPerField::getStreamCount | ( |  | ) |

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ newTerm()

virtual void Lucene::TermsHashConsumerPerField::newTerm | ( | const RawPostingListPtr & | p | ) |

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ shared_from_this()

boost::shared_ptr< TermsHashConsumerPerField > Lucene::TermsHashConsumerPerField::shared_from_this | ( |  | ) |

inline

## ◆ skippingLongTerm()

virtual void Lucene::TermsHashConsumerPerField::skippingLongTerm | ( |  | ) |

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ start() [1/2]

virtual bool Lucene::TermsHashConsumerPerField::start | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count )

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

## ◆ start() [2/2]

virtual void Lucene::TermsHashConsumerPerField::start | ( | const FieldablePtr & | field | ) |

pure virtual

Implemented in Lucene::FreqProxTermsWriterPerField, and Lucene::TermVectorsTermsWriterPerField.

The documentation for this class was generated from the following file:

- TermsHashConsumerPerField.h

clucene.sourceforge.net